# Create a launcher and updater for Windows (.bat)

Source: `R/radiant.R`
`win_launcher.Rd`

Create a launcher and updater for Windows (.bat)

    win_launcher(
      app = c("radiant", "radiant.data", "radiant.design", "radiant.basics", "radiant.model",
        "radiant.multivariate"),
      port = 4444,
      pdir = Sys.getenv("HOME")
    )

## Arguments

app

  App to run when the desktop icon is double-clicked ("radiant", "radiant.data", etc.). Default is "radiant"

port

  Port to use for shiny::runApp (e.g, port = 4444)

pdir

  Project directory to use. Default is Sys.getenv("HOME")

## Details

On Windows a file named 'radiant.bat' and one named 'update_radiant.bat' will be put on the desktop. Double-click the file to launch the specified Radiant app or update Radiant to the latest version

## Examples

    if (FALSE) {
    radiant::win_launcher()
    }